Package org.codehaus.janino.util.signature

# Class SignatureParser.TypeVariableSignature

java.lang.Object
org.codehaus.janino.util.signature.SignatureParser.TypeVariableSignature

All Implemented Interfaces:
  `SignatureParser.FieldTypeSignature`, `SignatureParser.ThrowsSignature`, `SignatureParser.TypeSignature`

Enclosing class:
  `SignatureParser`

public static class SignatureParser.TypeVariableSignature extends Object implements SignatureParser.ThrowsSignature, SignatureParser.FieldTypeSignature
Representation of the "TypeVariableSignature" clause, e.g. '`T`'.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`identifier`
The name of the type variable, e.g.

## Constructor Summary

Constructors
Constructor
Description
`TypeVariableSignature(String identifier)`

## Method Summary

Modifier and Type
Method
Description
`<T, EX extends Throwable>
T`
`accept(SignatureParser.FieldTypeSignatureVisitor<T,EX> visitor)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### identifier

public String identifier
The name of the type variable, e.g. '`T`'.

## Constructor Details

### TypeVariableSignature

public TypeVariableSignature(String identifier)

## Method Details

### accept

public <T, EX extends Throwable> T accept(SignatureParser.FieldTypeSignatureVisitor<T,EX> visitor) throws EX

Specified by:
  `accept` in interface `SignatureParser.FieldTypeSignature`
Throws:
  `EX`

### toString

public String toString()

Specified by:
  `toString` in interface `SignatureParser.FieldTypeSignature`
Specified by:
  `toString` in interface `SignatureParser.TypeSignature`
Overrides:
  `toString` in class `Object`